Trying install Neo4j Spatial, throws: Database failed to start error

I put the latest neo4j spatial jar file :neo4j-spatial-0.26.2-neo4j-3.5.2-server-plugin.jar into the plugins file, then restart the project, it threw:Database failed to restart: DB [database-1fa326de-ca26-4175-a47b-f35affee437c] 'v4.0.2' exited with status 'KILLED' errror

If I removed the spatial jar then it could work. However, I need the plugins extentions.

Thank you!

Goodmorning,
The spatial plug-in 3.* is not compatible with NEO4j 4.. I don't know if the plug-in will be updated to version 4.
You could use/install Neo4j version 3.
with the spatial plug-in 3.*.
There are also native spatial functions in Neo4j (no need for plug-in) https://neo4j.com/docs/cypher-manual/current/functions/spatial/

We do hope to port the plugin to 4.0 sometime soon, but it is not yet clear when this will happen. The plugin is currently a community-supported project, so if anyone is interested in getting involved, please do!

Yep, I tried 3.5.14 ( if I remember correctly the version), the spatial plugins works! Thank you!

Thank you for the reply!